Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-0929

Overview

Vulnerability Score 10.0 10.0
CVE Id CVE-2004-0929
Last Modified 10 Sep 2008 03:28:16
Published 27 Jan 2005 12:00:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2004-0929

Summary

Heap-based buffer overflow in the OJPEGVSetField function in tif_ojpeg.c for libtiff 3.6.1 and earlier, when compiled with the OJPEG_SUPPORT (old JPEG support) option, allows remote attackers to execute arbitrary code via a malformed TIFF image.

Vulnerable Systems

Operating System

  • Suse Linux 1.0

  • Suse Linux 8

  • Suse Linux 8.1

  • Suse Linux 8.2

  • Suse Linux 9.0

  • Suse Linux 9.1

Application

  • Libtiff 3.6.1


References

CERT-VN - VU#129910

IDEFENSE - 20041022 Novell SuSe Linux LibTIFF Heap Overflow Vulnerability

XF - libtiff-ojpegvsetfield-bo(17843)

SUSE - SUSE-SA:2004:038


Last Updated: 27 May 2016 10:38:49